### Method

# Gsk RenderNode get_children

since: 4.22

#### Declaration [src]

    GskRenderNode**
    gsk_render_node_get_children (
      GskRenderNode* self,
      gsize* n_children
    )

#### Description [src]

Gets a list of all children nodes of the rendernode.

Keep in mind that for various rendernodes, their children have different semantics, like the mask vs the source of a mask node. If you care about thse semantics, don’t use this function, use the specific getters instead.

Available since: 4.22

#### Parameters

`n_children`

  Type: `gsize*`

  The number of items in the returned array.

  The argument will be set by the function.

#### Return value

Type: An array of `GskRenderNode*`

The children.

The length of the array is in the `n_children` argument.
The returned data is owned by the instance.
The return value can be `NULL`.